class_name BattleStartAction

static func startBattleCallable(params:Dictionary) -> int:
  assert(params.has('fighters'))
  SCENE.setScene(SceneSingleton.SceneType.BATTLE)
  BATTLE.startBattle({
    'fighters': params['fighters'],
    'cutscene': params['cutscene']
  })
  return Cutscene.CUTSCENE_CONTINUE

static func getStartBattleCallable(fighters:Dictionary) -> Dictionary:
  return {
    "function": startBattleCallable,
    "fighters": fighters
  }